package jp.co.student.springbootstudy.domain.model;

import java.util.ArrayList;
import java.util.List;

public class TutorialGroupExample {
    /**
	 * This field was generated by MyBatis Generator. This field corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	protected String orderByClause;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	protected boolean distinct;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	protected List<Criteria> oredCriteria;

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public TutorialGroupExample() {
		oredCriteria = new ArrayList<>();
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public void setOrderByClause(String orderByClause) {
		this.orderByClause = orderByClause;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public String getOrderByClause() {
		return orderByClause;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public void setDistinct(boolean distinct) {
		this.distinct = distinct;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public boolean isDistinct() {
		return distinct;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public List<Criteria> getOredCriteria() {
		return oredCriteria;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public void or(Criteria criteria) {
		oredCriteria.add(criteria);
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public Criteria or() {
		Criteria criteria = createCriteriaInternal();
		oredCriteria.add(criteria);
		return criteria;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public Criteria createCriteria() {
		Criteria criteria = createCriteriaInternal();
		if (oredCriteria.size() == 0) {
			oredCriteria.add(criteria);
		}
		return criteria;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	protected Criteria createCriteriaInternal() {
		Criteria criteria = new Criteria();
		return criteria;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public void clear() {
		oredCriteria.clear();
		orderByClause = null;
		distinct = false;
	}

	/**
	 * This class was generated by MyBatis Generator. This class corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	protected abstract static class GeneratedCriteria {
		protected List<Criterion> criteria;

		protected GeneratedCriteria() {
			super();
			criteria = new ArrayList<>();
		}

		public boolean isValid() {
			return criteria.size() > 0;
		}

		public List<Criterion> getAllCriteria() {
			return criteria;
		}

		public List<Criterion> getCriteria() {
			return criteria;
		}

		protected void addCriterion(String condition) {
			if (condition == null) {
				throw new RuntimeException("Value for condition cannot be null");
			}
			criteria.add(new Criterion(condition));
		}

		protected void addCriterion(String condition, Object value, String property) {
			if (value == null) {
				throw new RuntimeException("Value for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value));
		}

		protected void addCriterion(String condition, Object value1, Object value2, String property) {
			if (value1 == null || value2 == null) {
				throw new RuntimeException("Between values for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value1, value2));
		}

		public Criteria andGroupIdIsNull() {
			addCriterion("group_id is null");
			return (Criteria) this;
		}

		public Criteria andGroupIdIsNotNull() {
			addCriterion("group_id is not null");
			return (Criteria) this;
		}

		public Criteria andGroupIdEqualTo(String value) {
			addCriterion("group_id =", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdNotEqualTo(String value) {
			addCriterion("group_id <>", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdGreaterThan(String value) {
			addCriterion("group_id >", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdGreaterThanOrEqualTo(String value) {
			addCriterion("group_id >=", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdLessThan(String value) {
			addCriterion("group_id <", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdLessThanOrEqualTo(String value) {
			addCriterion("group_id <=", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdLike(String value) {
			addCriterion("group_id like", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdNotLike(String value) {
			addCriterion("group_id not like", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdIn(List<String> values) {
			addCriterion("group_id in", values, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdNotIn(List<String> values) {
			addCriterion("group_id not in", values, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdBetween(String value1, String value2) {
			addCriterion("group_id between", value1, value2, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdNotBetween(String value1, String value2) {
			addCriterion("group_id not between", value1, value2, "groupId");
			return (Criteria) this;
		}

		public Criteria andTeacherIdIsNull() {
			addCriterion("teacher_id is null");
			return (Criteria) this;
		}

		public Criteria andTeacherIdIsNotNull() {
			addCriterion("teacher_id is not null");
			return (Criteria) this;
		}

		public Criteria andTeacherIdEqualTo(String value) {
			addCriterion("teacher_id =", value, "teacherId");
			return (Criteria) this;
		}

		public Criteria andTeacherIdNotEqualTo(String value) {
			addCriterion("teacher_id <>", value, "teacherId");
			return (Criteria) this;
		}

		public Criteria andTeacherIdGreaterThan(String value) {
			addCriterion("teacher_id >", value, "teacherId");
			return (Criteria) this;
		}

		public Criteria andTeacherIdGreaterThanOrEqualTo(String value) {
			addCriterion("teacher_id >=", value, "teacherId");
			return (Criteria) this;
		}

		public Criteria andTeacherIdLessThan(String value) {
			addCriterion("teacher_id <", value, "teacherId");
			return (Criteria) this;
		}

		public Criteria andTeacherIdLessThanOrEqualTo(String value) {
			addCriterion("teacher_id <=", value, "teacherId");
			return (Criteria) this;
		}

		public Criteria andTeacherIdLike(String value) {
			addCriterion("teacher_id like", value, "teacherId");
			return (Criteria) this;
		}

		public Criteria andTeacherIdNotLike(String value) {
			addCriterion("teacher_id not like", value, "teacherId");
			return (Criteria) this;
		}

		public Criteria andTeacherIdIn(List<String> values) {
			addCriterion("teacher_id in", values, "teacherId");
			return (Criteria) this;
		}

		public Criteria andTeacherIdNotIn(List<String> values) {
			addCriterion("teacher_id not in", values, "teacherId");
			return (Criteria) this;
		}

		public Criteria andTeacherIdBetween(String value1, String value2) {
			addCriterion("teacher_id between", value1, value2, "teacherId");
			return (Criteria) this;
		}

		public Criteria andTeacherIdNotBetween(String value1, String value2) {
			addCriterion("teacher_id not between", value1, value2, "teacherId");
			return (Criteria) this;
		}

		public Criteria andGroupNameIsNull() {
			addCriterion("group_name is null");
			return (Criteria) this;
		}

		public Criteria andGroupNameIsNotNull() {
			addCriterion("group_name is not null");
			return (Criteria) this;
		}

		public Criteria andGroupNameEqualTo(String value) {
			addCriterion("group_name =", value, "groupName");
			return (Criteria) this;
		}

		public Criteria andGroupNameNotEqualTo(String value) {
			addCriterion("group_name <>", value, "groupName");
			return (Criteria) this;
		}

		public Criteria andGroupNameGreaterThan(String value) {
			addCriterion("group_name >", value, "groupName");
			return (Criteria) this;
		}

		public Criteria andGroupNameGreaterThanOrEqualTo(String value) {
			addCriterion("group_name >=", value, "groupName");
			return (Criteria) this;
		}

		public Criteria andGroupNameLessThan(String value) {
			addCriterion("group_name <", value, "groupName");
			return (Criteria) this;
		}

		public Criteria andGroupNameLessThanOrEqualTo(String value) {
			addCriterion("group_name <=", value, "groupName");
			return (Criteria) this;
		}

		public Criteria andGroupNameLike(String value) {
			addCriterion("group_name like", value, "groupName");
			return (Criteria) this;
		}

		public Criteria andGroupNameNotLike(String value) {
			addCriterion("group_name not like", value, "groupName");
			return (Criteria) this;
		}

		public Criteria andGroupNameIn(List<String> values) {
			addCriterion("group_name in", values, "groupName");
			return (Criteria) this;
		}

		public Criteria andGroupNameNotIn(List<String> values) {
			addCriterion("group_name not in", values, "groupName");
			return (Criteria) this;
		}

		public Criteria andGroupNameBetween(String value1, String value2) {
			addCriterion("group_name between", value1, value2, "groupName");
			return (Criteria) this;
		}

		public Criteria andGroupNameNotBetween(String value1, String value2) {
			addCriterion("group_name not between", value1, value2, "groupName");
			return (Criteria) this;
		}
	}

	/**
	 * This class was generated by MyBatis Generator. This class corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public static class Criterion {
		private String condition;
		private Object value;
		private Object secondValue;
		private boolean noValue;
		private boolean singleValue;
		private boolean betweenValue;
		private boolean listValue;
		private String typeHandler;

		public String getCondition() {
			return condition;
		}

		public Object getValue() {
			return value;
		}

		public Object getSecondValue() {
			return secondValue;
		}

		public boolean isNoValue() {
			return noValue;
		}

		public boolean isSingleValue() {
			return singleValue;
		}

		public boolean isBetweenValue() {
			return betweenValue;
		}

		public boolean isListValue() {
			return listValue;
		}

		public String getTypeHandler() {
			return typeHandler;
		}

		protected Criterion(String condition) {
			super();
			this.condition = condition;
			this.typeHandler = null;
			this.noValue = true;
		}

		protected Criterion(String condition, Object value, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.typeHandler = typeHandler;
			if (value instanceof List<?>) {
				this.listValue = true;
			} else {
				this.singleValue = true;
			}
		}

		protected Criterion(String condition, Object value) {
			this(condition, value, null);
		}

		protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.secondValue = secondValue;
			this.typeHandler = typeHandler;
			this.betweenValue = true;
		}

		protected Criterion(String condition, Object value, Object secondValue) {
			this(condition, value, secondValue, null);
		}
	}

	/**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table public.tutorial_group
     *
     * @mbg.generated do_not_delete_during_merge Mon Apr 15 13:43:48 JST 2024
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }
}